# Generated from contexts-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name contexts

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: Simple way to reuse routes logic in rails apps
License: MIT
URL: https://github.com/kolesnikovde/contexts
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(codeclimate-test-reporter)
BuildArch: noarch

%description
Simple way to reuse routes logic in rails apps.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/contexts.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 2.0.0-1
- Initial package
